Package twisted :: Package python :: Module formmethod :: Class Date

[show private | hide private]
[frames | no frames]

## Class Date

    Argument --+
               |
              Date

A date.

Method Summary
| `__init__(self, name, allowNone, default, shortDesc, longDesc, hints)`
| `addHints(self, **kwargs)` (inherited from `Argument`)
| ``coerce`(self, args)` Return tuple of ints (year, month, day).
| `getHint(self, name, default)` (inherited from `Argument`)
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`NoneType` | `defaultDefault`

Method Details

### coerce(self, args)

Return tuple of ints (year, month, day).

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net